body, html{
    margin: 0;
    /*height: 100vh;*/
    height: fit-content;
    width: 100vw;
    background-color: rgb(33,33,33);
    text-align: center;
    font-family: Arial;
    min-width: 1000px;

    overflow-x: hidden;
}

body::-webkit-scrollbar {
    display: none;
}

.intro{
    text-align: center;
    height: 100vh;
    width: 100vw;
    background-image: url("LF-21.png");
    background-position: center;
    background-size: cover;

    display: flex;
    justify-content: center;
    align-items: center;
}

#trollPad{
    width: 100%;
    height: calc(50% - 30px);
}

.headText{
    font-family: Arial;
    font-weight: 900;
    font-size: 60px;
    /*height: 60px;*/
    letter-spacing: 5px;
    
    display: block;
    height: fit-content;
    width: fit-content;
}

.mainContent{
    /*min-height: 100%;
    height: fit-content;*/
    min-height: 100%;
    height: auto;
    color: white;
    /*padding: 0px 10px 0px 10px;*/
}

.topLeft h1{
    font-size: 50px;
    margin: 5px;
    margin-left: 0px; /*opet trochu prasarna ale co uz*/
    margin-bottom: 0;
}

.motd{
    font-size: 15px;
}

#searchBar{
    background-color: black;
    color: white;
    border: 1px solid white;
    height: 30px;
    width: calc(90% - 75px);
    border-right: none;
    /*margin-top: calc(40px - 15px);*/
}

.topRight button{
    height: 34px;
    background-color: black;
    color: white;
    border: 1px solid white;
    border-left: none;
    width: 75px;
    transition: 100ms;
    /*margin-top: calc(40px - 15px);*/ /*tenhle margin je vyska parentu-vyska elementu cele /2 ale az budu pridavat overhaed moznosti tak musim prepocitat*/
}/*ten margin pak also bude muset jit na ten list optionu misto semka*/

button:hover{
    cursor: pointer;
    background-color: rgb(100,100,100);
    transition: 100ms;
}

input::placeholder{
    color: rgb(175,175,175);
}

.topRight, .topLeft{
    display: inline-block;
    width: 49%;/*ooga booga moment, myslim ze nekde vysoko je nastavenej padding*/
    height: 80px;
    text-align: right;
    margin: 0px;
    padding: 0px;
    overflow: hidden;
}

.topLeft{
    width: 35%;
    min-width: 500px;
    text-align: left;
}

.topRight{
    width: 64%;
    text-align: center;
    margin: 0px;
    padding: 0px;
}

.topRight button, #searchBar{
    vertical-align: middle;
}

.searchOpt{
    padding: 0px;/*trochu prasarna, pak fix*/
    padding-top: 10px;
    padding-bottom: 5px;
    margin: 0px;
    transition: 100ms;
}

.searchOpt li{
    display: inline-block;
    user-select: none;
}

.searchOpt li:hover{
    cursor: pointer;
    color: rgb(0,175,255);
    transition: 100ms;
}

.leftContent, .cringeSeparator, .rightContent{
    display: inline-block;
    height: calc(100% - 80px);
    width: 33%;
    overflow-x: hidden;
}

.leftContent{
    width: 49%;
    min-width: calc(460px - 1%);
    overflow: hidden;
    height: calc(100% - 80px);
}

.cringeSeparator{
    width: 1%;
}

.rightContent{
    width: 49%;
    min-width: calc(460px - 1%);
}

.project{
    /*border: 2px solid white;*/
    height: 75px;
    width: 100%;
    overflow: hidden;
    text-align: left;
    transition: 100ms;
}

.project *{
    display: inline-block;
}

.project img{
    height: 75px;
    width: 75px;
    float: left;
    position:static;
    padding-right: 5px;
}

.project h1{
    margin: 5px;
    margin-left: 0px;
    margin-top: -5px;
    margin-bottom: 2px;
    float: left;
    width: calc(100% - 112px);
}

.project p{
    /*display: contents;
    float: left;*/
    display: inline-block;
    width: calc(100% - 80px);
    height: 40px;
    margin: 0;
    overflow: auto;
}

.project:hover{
    cursor: pointer;
    background-color: rgb(100,100,100);
    transition: 100ms;
}

.catHeader{
    border-bottom: 2px solid white;
    margin-top: 5px;
    margin-top: 5px;
}

.ukrajini{
    background-image: url("img/uaflag.png");
    color: transparent;
    background-size: 100% 100%;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    background-clip: text;
}

#showAllBtn{
    width: 100%;
    height: 25px;
    color: white;
    background-color: green;
    user-select: none;
    transition: 100ms;
}

#showAllBtn:hover{
    cursor: pointer;
    background-color: rgb(0,200,0);
    transition: 100ms;
}

.subdomain{
    height: 60px;
    width: 49%;
    display: inline-block;
    overflow: hidden;
}

.subdomain img{
    height: 60px;
    width: 60px;
}

.subdomain h1{
    font-size: 30px;
    margin: 0px;
    margin-top: 15px;
    margin-left: 5px;
}

.allProjects{
    height: 80%;
    width: 60%;
    position: absolute;
    left: 20%;
    top: 110%;
    background-color: black;
    text-align: center;
    overflow: auto;
}

.leftContent h2{
    display: inline-block;
    width: 100%;
    border-bottom: 2px solid white;
    margin-top: 5px;
}

.catHeader:nth-of-type(2){
    margin-bottom: 0px;
}

.featured h1{
    text-decoration: underline;
    font-style: italic;
}

.leftContent .catHeader{
    text-align: right;
}

.rightContent .catHeader{
    text-align: left;
}

#nuclearIDForm{
    width: 100%;
    height: 120px;
}

#nuclearIDForm input, #nuclearIDForm button{
    height: 38px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    width: calc(100% - 2px);
    font-size: 20px;
    border: 1px solid white;
    color: white;
    background-color: black;
    transition: 100ms;
}

#nuclearIDForm button, #nuclearIDForm input[type="submit"]{
    width: calc(50% - 1px);
}

#nuclearIDForm input[type="submit"]{
    background-color: green;
}

#nuclearIDForm input[type="submit"]:hover{
    cursor: pointer;
    background-color: rgb(0,200,0);
    transition: 100ms;
}

#nuclearIDForm button{
    background-color: rgb(100,100,100);
}

#nuclearIDForm button:hover{
    cursor: pointer;
    background-color: rgb(150,150,150);
    transition: 100ms;
}

.rightContent button{
    width: 100%;
    height: 40px;
    font-size: 20px;
    font-weight: bold;
    background-color: orange;
    color: black;
    border: none;
    margin-bottom: 15px;
}

.rightContent button:hover{
    background-color: rgb(255,255,0);
}

.rightContent h2{
    margin-top: 10px;
    margin-bottom: 10px;
}

#ipAddr, #clientInfo, #https{
    font-weight: 100;
}

a{
    color: rgb(0,255,255);
}

.supportP{
    font-size: 15px;
}

#copyright{
    padding-top: 10px;
    text-align: center;
}

.humoreskaContainer{
    width: 49%;
    height: 250px;
    display: inline-block;
    overflow: hidden;
}

#humor img, #humor video{
    height: 100%;
    width: 100%;
}

#humorPlaceholder{
    height: 100%;
    width: 100%;
    background-color: rgba(75, 75, 75, 0.5);
    text-align: center;
}

#humorPlaceholder button{
    margin-top: calc(125px - 12.5px);
    color: white;
    height: 35px;
    width: 50%;
    background-color: green;
    transition: 100ms;
}

#humorPlaceholder button:hover{
    background-color: rgb(0,200,0);
    transition: 100ms;
}

#humorControls .regenHumor{
    background-color: rgb(0,200,255);
    transition: 100ms;
}

#humorControls .regenHumor:hover{
    background-color: rgb(0,255,255);
    transition: 100ms;
}

#searchResults, #showAll{
    height: 800px;
    width: 800px;
    background-color: black;
    border: 2px solid white;
    position: fixed;
    top: 6.75%;
    left: calc(50% - 400px);
    color: white;
    visibility: hidden;
}

#searchResults button, #showAll button{
    width: 100%;
    height: 25px;
    background-color: red;
    border: none;
    color: white;
    transition: 100ms;
}

#searchResults button:hover, #showAll button:hover{
    cursor: pointer;
    background-color: rgb(255,100,100);
    transition: 100ms;
}

#showAll{
    overflow: auto;
}

/*v2.75*/

#kontakt{
    text-align: left;
}

#kontakt img{
    height: auto;
    max-height: 10.5rem;
}

#kontaktInner{
    display: flex;
}

#kontaktInner p, #kontaktInner h1{
    padding-left: 1rem;
}

.contentContainer{
    display: flex;
    gap: 1%;
    flex-wrap: wrap-reverse;
    align-items: start;
    justify-content: center;
    width: 100vw;
}
.topContentAligner{
    display: flex;
    flex-wrap: wrap;
    align-items: start;
    justify-content: center;
    width: 100vw;
}

.bottomContentAligner{
    width: 100vw;
}

.subdomainPH{
    height: 120px;
    width: 100%;
}